Lettura lettere accentate


#1

Ciao a tutti.
Ho un piccolo problema con la lettura da file.
Nel file è memorizzato un testo in italiano con, ovviamente, le lettere
accentate.
Per la lettura uso:
@content = IO.read(file).downcase!.split(/\W+/)

Il problema è che con lo split vengono eliminati i caratteri accentati.
Ad esempio:
andò -> and

E’ possibile risolvere questo problema in qualche modo?
Grazie


#2

Ciao,
E’ un problema comune, io una volta ho risolto molto velocemente con
un paio di array di accentate e con gsub.
Non molto elegante ma… pratico.

Il giorno 20/apr/09, alle ore 16:22, Davide Monfrecola ha scritto:


#3

On Mon, Apr 20, 2009 at 05:18:17PM +0200, Fabrizio R. wrote:

E’ un problema comune, io una volta ho risolto molto velocemente con
un paio di array di accentate e con gsub. Non molto elegante ma…
pratico.

Pratico… E sbagliato.

% irb1.8

“puòte o non puòte”.split(/\W+/u)
=> [“pu\303\262te”, “o”, “non”, “pu\303\262te”]

nota la ‘u’


#4

On Mon, 2009-04-20 at 19:55 +0200, Fernando V. wrote:

% irb1.8

“puòte o non puòte”.split(/\W+/u)
=> [“pu\303\262te”, “o”, “non”, “pu\303\262te”]

nota la ‘u’

Scusa, ma stanotte ho dormito 3 ore e non sono molto sveglio. Non avevo
capito la tua soluzione!
Funziona, grazie mille! :slight_smile:


#5

Chiedo scusa, non avevo capito la domanda. Più che sbagliata, la mia
risposta non c’entrava nulla.

Il giorno 20/apr/09, alle ore 19:55, Fernando V. ha scritto:


#6

On 20/apr/09, at 19:55, Fernando V. wrote:

On Mon, Apr 20, 2009 at 05:18:17PM +0200, Fabrizio R. wrote:

Pratico… E sbagliato.

% irb1.8

“puòte o non puòte”.split(/\W+/u)
=> [“pu\303\262te”, “o”, “non”, “pu\303\262te”]

nota la ‘u’

Quindi non c’è soluzione a questo problema? :frowning:


Davide Monfrecola


#7

Ma… ruby 1.9 non supporta Unicode nativamente ?

2009/4/21 Fabrizio R. removed_email_address@domain.invalid


#8

On 21/apr/09, at 11:14, Sandro P. wrote:

Ma… ruby 1.9 non supporta Unicode nativamente ?

2009/4/21 Fabrizio R. removed_email_address@domain.invalid

Io utilizzo ancora Ruby 1.8.7 perchè avevo problemi con la gem
Gscraper…

Davide Monfrecola